<section class="patient-list">

<div class="card">
<div class="card-header">
  Patients List
</div><br>
  <div class="bg-image h-100">
    <div class="mask d-flex align-items-center h-100">
      <div class="container">
        <div class="row justify-content-center">
          <div class="col-12">
            <div class="card">
              <div class="card-body p-0">
                <div class="table-responsive table-scroll">
                  <table class="table table-striped mb-0">
                    <thead>
                      <tr>
                        <th scope="col">ID</th>
                        <th scope="col">Last Name</th>
                        <th scope="col">First Name</th>
                        <th scope="col">Email</th>
                        <th scope="col">Phone</th>
                        <th scope="col">Date of Birth</th>
                        <th scope="col">Edit</th>
                        <th scope="col">Delete</th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr *ngFor="let patient of patients">
                        <td>{{ patient.id }}</td>
                        <td>{{ patient.lastName }}</td>
                        <td>{{ patient.firstName }}</td>
                        <td>{{ patient.email }}</td>
                        <td>{{ patient.phone }}</td>
                        <td>{{ patient.dateOfBirth | date }}</td>
                        <td>
                          <button class="btn btn-outline-primary" (click)="editPatient(patient)">Edit</button>
                        </td>
                        <td>
                          <button class="btn btn-outline-danger" (click)="deletePatient(patient)">Delete</button>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
</section>

  